Name:           python-rft1d
Version:        0.2.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        'One-Dimensional Random Field Theory

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.spm1d.org/rft1d
Source:         %{pypi_source rft1d}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'rft1d' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-rft1d
Summary:        %{summary}

%description -n python3-rft1d %_description


%prep
%autosetup -p1 -n rft1d-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-rft1d -f %{pyproject_files}


%changelog
%autochangelog